Sql Virtual Machine Groups - Get

Gets a SQL virtual machine group.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachineGroups/{sqlVirtualMachineGroupName}?api-version=2023-10-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

sqlVirtualMachineGroupName
path True

string

Name of the SQL virtual machine group.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

SqlVirtualMachineGroup

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets a SQL virtual machine group.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachineGroups/testvmgroup?api-version=2023-10-01

Sample response

{
  "name": "testvmgroup",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachineGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachineGroups/testvmgroup",
  "location": "northeurope",
  "properties": {
    "provisioningState": "Succeeded",
    "sqlImageOffer": "SQL2016-WS2016",
    "sqlImageSku": "Enterprise",
    "wsfcDomainProfile": {
      "clusterBootstrapAccount": "testrpadmin",
      "clusterOperatorAccount": "testrp@testdomain.com",
      "domainFqdn": "testdomain.com",
      "isSqlServiceAccountGmsa": false,
      "ouPath": "OU=WSCluster,DC=testdomain,DC=com",
      "sqlServiceAccount": "sqlservice@testdomain.com",
      "storageAccountUrl": "https://storgact.blob.core.windows.net/"
    }
  },
  "tags": {
    "mytag": "myval"
  }
}

Definitions

Name Description
ClusterConfiguration

Cluster type.

ClusterManagerType

Type of cluster manager: Windows Server Failover Cluster (WSFC), implied by the scale type of the group and the OS type.

ClusterSubnetType

Cluster subnet type.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ScaleType

Scale type.

SqlVirtualMachineGroup

A SQL virtual machine group.

SqlVmGroupImageSku

SQL image sku.

systemData

Metadata pertaining to creation and last modification of the resource.

WsfcDomainProfile

Active Directory account details to operate Windows Server Failover Cluster.

ClusterConfiguration

Cluster type.

Value Description
Domainful

ClusterManagerType

Type of cluster manager: Windows Server Failover Cluster (WSFC), implied by the scale type of the group and the OS type.

Value Description
WSFC

ClusterSubnetType

Cluster subnet type.

Value Description
SingleSubnet
MultiSubnet

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ScaleType

Scale type.

Value Description
HA

SqlVirtualMachineGroup

A SQL virtual machine group.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.clusterConfiguration

ClusterConfiguration

Cluster type.

properties.clusterManagerType

ClusterManagerType

Type of cluster manager: Windows Server Failover Cluster (WSFC), implied by the scale type of the group and the OS type.

properties.provisioningState

string

Provisioning state to track the async operation status.

properties.scaleType

ScaleType

Scale type.

properties.sqlImageOffer

string

SQL image offer. Examples may include SQL2016-WS2016, SQL2017-WS2016.

properties.sqlImageSku

SqlVmGroupImageSku

SQL image sku.

properties.wsfcDomainProfile

WsfcDomainProfile

Cluster Active Directory domain profile.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SqlVmGroupImageSku

SQL image sku.

Value Description
Developer
Enterprise

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

WsfcDomainProfile

Active Directory account details to operate Windows Server Failover Cluster.

Name Type Description
clusterBootstrapAccount

string

Account name used for creating cluster (at minimum needs permissions to 'Create Computer Objects' in domain).

clusterOperatorAccount

string

Account name used for operating cluster i.e. will be part of administrators group on all the participating virtual machines in the cluster.

clusterSubnetType

ClusterSubnetType

Cluster subnet type.

domainFqdn

string

Fully qualified name of the domain.

fileShareWitnessPath

string

Optional path for fileshare witness.

isSqlServiceAccountGmsa

boolean

The flag to check if SQL service account is GMSA.

ouPath

string

Organizational Unit path in which the nodes and cluster will be present.

sqlServiceAccount

string

Account name under which SQL service will run on all participating SQL virtual machines in the cluster.

storageAccountPrimaryKey

string

Primary key of the witness storage account.

storageAccountUrl

string

Fully qualified ARM resource id of the witness storage account.